Subject: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Jul 2012 05:43:19 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Mon, 9 Jul 2012 22:54:22 +0200
> Cc: [email-masked], [email-masked]
> 
> During the bootstrap, while Emacs is byte-compiling files, it crashes.
> I know that because:
> 
> 1) I get a message from Windows (not the usual w32_abort dialog)
> telling me that Emacs has crashed and asking whether I want to send a
> report to Microsoft.
> 2) Bootstrapping stops until I dismiss that message.
> 
> At that point, until I tell Windows to dismiss the report sending, I
> have all the time in the world to get the id of the only Emacs running
> and attach gdb to it.

In that case, after you attach the debugger, you should type
"continue" at GDB prompt, and then click "Debug" on the dialog popped
by Windows.  Exactly like you would if the w32_abort dialog was popped
up.  Then, when Emacs crashes, you'll get a useful backtrace.